package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.EnqueteUniteLogement;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface EnqueteUniteLogementService {

    EnqueteUniteLogement createEnqueteUniteLogement(EnqueteUniteLogement enqueteUniteLogement) throws BadRequestException;

    EnqueteUniteLogement updateEnqueteUniteLogement(Long id, EnqueteUniteLogement enqueteUniteLogement) throws NotFoundException;

    void deleteEnqueteUniteLogement(Long id) throws NotFoundException;

    Page<EnqueteUniteLogement> getEnqueteUniteLogementList(Pageable pageable);

    List<EnqueteUniteLogement> getEnqueteUniteLogementList();

    Optional<EnqueteUniteLogement> getEnqueteUniteLogementById(Long id);
}
